function [rho_point,u_point,v_point,p_point] = ExactSolution(x_point,y_point,t)

Globals2D;

eta = sqrt(x_point ^ 2 + y_point .^ 2);
func = @(xi) exp(-(xi .^ 2) / (4 * kappa_1)) .* cos(xi * t) .* besselj(0, eta * xi) .* xi;
int_1 = quadgk(func, 0, Inf);
rho_point = (eps_1 / (2 * kappa_1)) * int_1;
func = @(xi) exp(-(xi .^ 2) / (4 * kappa_1)) .* sin(xi * t) .* besselj(1, eta * xi) .* xi;
int_2 = quadgk(func, 0, Inf);
u_point = ((eps_1 * x_point) / (2 * kappa_1 * eta)) * int_2;
v_point = ((eps_1 * y_point) / (2 * kappa_1 * eta)) * int_2;
p_point = rho_point;

end